Bug 57223 - oops in apmd when i830M agpgart loaded
oops in apmd when i830M agpgart loaded
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-07 05:00 EST by Didier
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 04:18:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
console and syslog messages with oops trace (3.85 KB, text/plain)
2001-12-07 05:02 EST, Didier
no flags Details
Resolves APM oops, patches cleanly on 2.4.17-0.6 (1.05 KB, patch)
2002-01-26 09:58 EST, Didier
no flags Details | Diff

  None (edit)
Description Didier 2001-12-07 05:00:42 EST
Description of Problem:

"apm -s" oopses when agpgart module is loaded


Version-Release number of selected component (if applicable):

kernel 2.4.16-0.4 i686 (rawhide)
apmd-3.0final-34 (RH 7.2)


How Reproducible:

always


Steps to Reproduce:
1. modprobe agpgart
2. apm -s
3. 


Actual Results:

oops


Expected Results:

system suspends


Additional Information:
	
IBM A30p with i830M ; kernel patched with lklm agpgart patch (see bug
#56526 : it seems as if the patch still is not included in the RH kernel
releases) and recompiled.
Is this RH specific, or should I post a bug report to lkml too ?


In attachment : syslogs with agpgart both loaded and not loaded when
entering apm.
Comment 1 Didier 2001-12-07 05:02:10 EST
Created attachment 40027 [details]
console and syslog messages with oops trace
Comment 2 Arjan van de Ven 2001-12-07 05:08:48 EST
Tainted: PF

which modules are you loading ?

(and it looks like a generic AGP bug)
Comment 3 Didier 2001-12-07 05:17:03 EST
Kernel recompiled with :
1. agpgart patch
2. NTFS=m

The radeon module is the one from X CVS 4.1.99.2 (26-28/11/01), but it was not
loaded when creating this report (created from plain console after reboot).


Module                  Size  Used by    Tainted: PF
sr_mod                 15096   2  (autoclean)
ppdev                   6468   0  (autoclean)
parport                24512   0  (autoclean) [ppdev]
i810_audio             18912   0  (autoclean)
ac97_codec              9632   0  (autoclean) [i810_audio]
soundcore               4100   2  (autoclean) [i810_audio]
radeon                 89848   1  (autoclean)
binfmt_misc             6116   1 
agpgart                32608   3 
vmnet                  19872   5 
vmmon                  18516   6 
iscsi                  32928   0  (unused)
ds                      7040   2 
yenta_socket           10784   2 
pcmcia_core            41632   0  [ds yenta_socket]
autofs                 10308   0  (autoclean) (unused)
eepro100               19088   1 
appletalk              20204   0  (autoclean)
ipx                    15988   0  (autoclean)
ide-scsi                8032   1 
scsi_mod               94088   3  [sr_mod iscsi ide-scsi]
ide-cd                 26912   0 
cdrom                  27840   0  [sr_mod ide-cd]
ntfs                   49408   1  (autoclean)
nls_iso8859-1           2816   3  (autoclean)
nls_cp437               4352   2  (autoclean)
vfat                   10044   2  (autoclean)
fat                    31832   0  (autoclean) [vfat]
mousedev                4192   2 
hid                    18528   0  (unused)
input                   3616   0  [mousedev hid]
usb-uhci               21636   0  (unused)
usbcore                51072   1  [hid usb-uhci]
ext3                   60320   2 
jbd                    39592   2  [ext3]

Comment 4 Didier 2001-12-07 05:19:35 EST
Kernel tainted by vmnet/vmmon modules ? These were created by VMWare 3.0.
However, the oops occurs with a minimal set of modules too.

Comment 5 Didier 2001-12-12 03:58:20 EST
1. 
a. Installed 2.4.16-0.9 (no customisations), boot single

sh-2.05# lsmod
Module                  Size  Used by    Tainted: P
ide-scsi                8192   0
scsi_mod               96856   1  [ide-scsi]
ide-cd                 27072   0
cdrom                  27968   0  [ide-cd]
nls_iso8859-1           2816   2  (autoclean)
nls_cp437               4320   2  (autoclean)
vfat                   10140   2  (autoclean)
fat                    32568   0  (autoclean) [vfat]
mousedev                4320   1
hid                    18848   0  (unused)
input                   3744   0  [mousedev hid]
usb-uhci               21796   0  (unused)
usbcore                51680   1  [hid usb-uhci]
ext3                   62624   2
jbd                    40792   2  [ext3]

b. apm -s : OK

c. modprobe agpgart

"Oops: 0000
Unable to handle kernel paging request at virtual address 0...." (some tens of
messages scroll across the screen, system lock up, no entries in
/var/log/messages, even when syslogd daemon is started)


2.
a. patch 2.4.16-0.9custom with
   - NTFS=m
   - lkml i830MP patch (see above ; patches cleanly, some hunk offsets)
b. 'modprobe agpgart' loads OK, accelerated DRI et al.
c. 'apm -s' yields kernel oops as in 1.c., system locks up.


Comment 6 Didier 2002-01-22 05:35:45 EST
- lkml i830MP agpgart patch has been included in 2.4.18-pre3 ;
- this patch, however, oopses APM ;
- the patch contributor (Nicolas.Aspert@epfl.ch) corrected this (see
http://www.uwsg.indiana.edu/hypermail/linux/kernel/0201.2/0872.html) : patch
submitted to kernel maintainer.

I applied the patch on virgin 2.4.18-pre4 : agpgart loads, DRM/DRI is
accelerated, APM functions correctly.

I suggest a 'status = RESOLVED' when patch is included in RHL RawHide kernel.
Comment 7 Didier 2002-01-26 09:54:39 EST
APM still oopses with agpgart loaded in RawHide kernel 2.4.17-0.6

Attached patch (courtesy of Nicholas Aspert, see my previous message) applies
cleanly on agpgart_be.c, and resolves issue.
Comment 8 Didier 2002-01-26 09:58:13 EST
Created attachment 43614 [details]
Resolves APM oops, patches cleanly on 2.4.17-0.6
Comment 9 Didier 2002-01-30 04:42:40 EST
Resolved in RawHide 2.4.17-0.9

Note You need to log in before you can comment on or make changes to this bug.